Show / Hide Table of Contents

# Class Dalamud

The main Dalamud class containing all subsystems.

##### Inheritance

System.Object
Dalamud

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class Dalamud : IDisposable

### Constructors

| Improve this Doc View Source

#### Dalamud(DalamudStartInfo, LoggingLevelSwitch, ManualResetEvent)

Initializes a new instance of the Dalamud class.

##### Declaration

    public Dalamud(DalamudStartInfo info, LoggingLevelSwitch loggingLevelSwitch, ManualResetEvent finishSignal)

##### Parameters

Type | Name | Description
--- | --- | ---
DalamudStartInfo | info | DalamudStartInfo instance.
LoggingLevelSwitch | loggingLevelSwitch | LoggingLevelSwitch to control Serilog level.
System.Threading.ManualResetEvent | finishSignal | Signal signalling shutdown.

### Methods

| Improve this Doc View Source

#### Dispose()

Dispose Dalamud subsystems.

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Start()

Start and initialize Dalamud subsystems.

##### Declaration

    public void Start()

| Improve this Doc View Source

#### Unload()

Queue an unload of Dalamud when it gets the chance.

##### Declaration

    public void Unload()

| Improve this Doc View Source

#### WaitForUnload()

Wait for an unload request to start.

##### Declaration

    public void WaitForUnload()

| Improve this Doc View Source

#### WaitForUnloadFinish()

Wait for a queued unload to be finalized.

##### Declaration

    public void WaitForUnloadFinish()

### Implements

System.IDisposable